# Class DummyAdminServer

java.lang.Object
org.apache.zookeeper.server.admin.DummyAdminServer

All Implemented Interfaces:
  `AdminServer`

public class DummyAdminServer extends Object implements AdminServer
An AdminServer that does nothing. We use this class when we wish to disable the AdminServer. (This way we only have to consider whether the server is enabled when we create the AdminServer, which is handled by AdminServerFactory.)

## Nested Class Summary

### Nested classes/interfaces inherited from interface AdminServer

`AdminServer.AdminServerException`

## Constructor Summary

Constructors
Constructor
Description
`DummyAdminServer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setZooKeeperServer(ZooKeeperServer zkServer)`
`void`
`shutdown()`
`void`
`start()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DummyAdminServer

public DummyAdminServer()

## Method Details

### start

public void start() throws AdminServer.AdminServerException

Specified by:
  `start` in interface `AdminServer`
Throws:
  `AdminServer.AdminServerException`

### shutdown

public void shutdown() throws AdminServer.AdminServerException

Specified by:
  `shutdown` in interface `AdminServer`
Throws:
  `AdminServer.AdminServerException`

### setZooKeeperServer

public void setZooKeeperServer(ZooKeeperServer zkServer)

Specified by:
  `setZooKeeperServer` in interface `AdminServer`